Personator Search Quickstart#

Introduction#

Welcome to the Personator Search Cloud API. This service is designed to enable the user to perform extremely flexible searches to Melissa’s consumer database. The Personator Search Cloud API allows for restoring missing information from your data which are typically not correctable.

The Personator Search Cloud API leverages a combination of a multitude of premium data sources, including consumer data, credit data, demographic data, government data, telco data, and several others. Through these combined sources, we are able to compile a database of billions of records containing current and historical data for an individual’s addresses, phone numbers, and emails.

Here are some example search capabilities of the service:

  • An individual’s Current Address

  • An individual’s Previous Address

  • An individual’s Phone Numbers

  • An individual’s Email Addresses

  • Individuals living at an address

  • Individuals tied to a phone number

  • Date of Birth and/or Date of Death

  • Name matches for a given area

  • Appended missing address line

  • Fuzzy Names/Nickname handling

This service is not intended for skip tracing or name-only searches.

New to Melissa Cloud APIs?#

We highly recommend first time users of our Cloud APIs to review our Using Melissa Cloud APIs section. It will cover critical topics like:

System Requirements#

  • SSL/TLS 1.2+

Getting Started - What Can I Do?#

Search for Consumer Information using Address and Name#

Endpoint#

WEB/doPersonatorSearch

Click here to go to the full endpoint documentation.

Try It Now#

  • GET JSON
curl -X GET "https://personatorsearch.melissadata.net/WEB/doPersonatorSearch?\
&id={{customerId}}\
&format=JSON\
&t=Test\
&full=Melissa%20Data\
&a1=22382%20Avenida%20Empresa\
&city=Rancho%20Santa%20Margarita\
&state=CA\
&postal=92688"

Search for Consumer Information using Melissa Address Key (MAK)#

Endpoint#

WEB/doPersonatorSearch

Click here to go to the full endpoint documentation.

Try It Now#

  • GET JSON
curl -X GET "https://personatorsearch.melissadata.net/WEB/doPersonatorSearch?\
&id={{customerId}}\
&mak=8008006245"

Search for Consumer Information using Melissa Identity Key (MIK)#

Endpoint#

WEB/doPersonatorSearch

Click here to go to the full endpoint documentation.

Try It Now#

  • GET JSON
curl -X GET "https://personatorsearch.melissadata.net/WEB/doPersonatorSearch?\
&id={{customerId}}\
&mik=10935949111"

Search for Consumer Information using Email#

Endpoint#

WEB/doPersonatorSearch

Click here to go to the full endpoint documentation.

Try It Now#

  • GET JSON
curl -X GET "https://personatorsearch.melissadata.net/WEB/doPersonatorSearch?\
&id={{customerId}}\
&email=info@melissa.com"

Search for Consumer Information using Name and Zip#

Endpoint#

WEB/doPersonatorSearch

Click here to go to the full endpoint documentation.

Try It Now#

  • GET JSON
curl -X GET "https://personatorsearch.melissadata.net/WEB/doPersonatorSearch?\
&id={{customerId}}\
&full=Melissa%20Data\
&postal=92688"

Search for Consumer Information using Phone Number#

Endpoint#

WEB/doPersonatorSearch

Click here to go to the full endpoint documentation.

Try It Now#

  • GET JSON
curl -X GET "https://personatorsearch.melissadata.net/WEB/doPersonatorSearch?\
&id={{customerId}}\
&phone=8006354772"

Inputs and Outputs#

The table below shows the most common inputs and outputs for this endpoint.

For full details on the inputs see the Request Parameters and for a complete list of the outputs see the Response fields.

  • GET JSON

Inputs

Outputs

Request Level Parameters

cols

format

id

opt

t

Record Level Parameters

a1

ageapprox

agegt

agelt

bday

bmonth

byear

city

email

ff

first

full

last

mak

mik

phone

postal / zip / zipcode

state

Service Level Response Fields

TransmissionResults

TransmissionReference

TotalPages

TotalRecords

Version

Records Array

RecordID

Results

FullName

FirstName

MiddleName

LastName

Suffix

DateOfBirth

DateOfDeath

MelissaIdentityKey

CurrentAddress Object Container

AddressLine1

Suite

City

State

PostalCode

Plus4

MelissaAddressKey

MelissaAddressKeyBase

MoveDate

PreviousAddresses Array of Object Containers

AddressLine1

Suite

City

State

PostalCode

Plus4

MelissaAddressKey

MelissaAddressKeyBase

MoveDate

PhoneRecords Array

phoneNumber

EmailRecords Array

email